// Actel Corporation Proprietary and Confidential
// Copyright 2010 Actel Corporation.  All rights reserved.
// ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN
// ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED
// IN ADVANCE IN WRITING.
// Revision Information:
// 10Feb10              Production Release Version 3.1
// SVN Revision Information:
// SVN $Revision: 17372 $
// SVN $Date: 2012-08-03 09:09:54 -0700 (Fri, 03 Aug 2012) $
`timescale 1ns/1ps
module
CAHBLTIll
(
input
HCLK,
input
HRESETN,
input
CAHBLTlll,
output
reg
CAHBLTO0l,
output
reg
CAHBLTI0l
)
;
localparam
CAHBLTl0l
=
1
'b
0
;
localparam
CAHBLTO1l
=
1
'b
1
;
reg
CAHBLTI1l
;
reg
CAHBLTl1l
;
always
@(*)
begin
CAHBLTO0l
=
1
'b
1
;
CAHBLTI0l
=
1
'b
0
;
case
(
CAHBLTl1l
)
CAHBLTl0l
:
begin
if
(
CAHBLTlll
)
begin
CAHBLTO0l
=
1
'b
0
;
CAHBLTI0l
=
1
'b
1
;
CAHBLTI1l
=
CAHBLTO1l
;
end
else
CAHBLTI1l
=
CAHBLTl0l
;
end
CAHBLTO1l
:
begin
CAHBLTI0l
=
1
'b
1
;
CAHBLTI1l
=
CAHBLTl0l
;
end
default
:
CAHBLTI1l
=
CAHBLTl0l
;
endcase
end
always
@
(
posedge
HCLK
or
negedge
HRESETN
)
begin
if
(
!
HRESETN
)
CAHBLTl1l
<=
CAHBLTl0l
;
else
CAHBLTl1l
<=
CAHBLTI1l
;
end
endmodule
